Bug 97601 - startx errors about missing fvwm2
startx errors about missing fvwm2
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: xinitrc (Show other bugs)
alpha 3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Jay Turner
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-06-18 03:18 EDT by Chris Ricker
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 12:47:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-06-18 03:18:29 EDT
On a fairly minimal install of alpha3, I get the following when running startx

WARNING: You selected Fvwm2 as your window manager, but your installation does
not appear to be functional. The executable /usr/X11R6/bin/fvwm2 was not found
on your system.
RESUMING with TWM...

I haven't actually selected anything as the window manager. This is immediately
after install, w/ no configuration, on a system with only twm installed as the
window manager.

My guess is that xinitrc needs an fvwm2-ectomy, now that fvwm2 is no longer shipped
Comment 1 Mike A. Harris 2003-08-21 02:52:10 EDT
I suppose that makes sense to remove.  I don't consider it to be a cambridge
blocker bug however, considering that fvwm2 was not present in neither RHL 8.0
nor 9, and this is the first the problem has been reported.

This is a Cambridge "target" bug.  aka: shouldfix

Comment 2 Chris Ricker 2003-10-24 11:45:17 EDT
In looking at all this, this should probably be moved from Bug #100643 to Bug
#100644. The major side-effects of this are cosmetic only, and it's too close to
release to worry about those ;-)

Long-term, I think what's probably best here is a major simplification of
xinitrc (the package, not just the file). All the RunWM stuff serves no purpose
any more, AFAIK. Similarly, some of the fallbacks in Xclients / xinitrc (the
file) to things not even shipped any more should be removed....

IMHO, I think things are too close to release for changes of that scope though....

(removing beta bit -- nothing confidential is in this bug)
Comment 3 Mike A. Harris 2003-10-24 12:56:21 EDT
Agreed on all counts.
Comment 4 Mike A. Harris 2004-09-01 12:47:49 EDT
fvwmectomy completed in xinitrc 4.0.4-1

Note You need to log in before you can comment on or make changes to this bug.